# frozen_string_literal: true

class EmptyLineCheck < CommitCheck
  MESSAGE = 'Please separate subject from body with newline.'

  def self.type
    :empty_line
  end

  def initialize(message, _options = {})
    @empty_line = message[:empty_line]
  end

  def message
    MESSAGE
  end

  def fail?
    @empty_line && !@empty_line.empty?
  end
end
