# frozen_string_literal: true

class SubjectCapCheck < CommitCheck
  MESSAGE = 'Please start subject with capital letter.'

  def self.type
    :subject_cap
  end

  def initialize(message, _options = {})
    @first_character = message[:subject].split('').first
  end

  def message
    MESSAGE
  end

  def fail?
    @first_character != @first_character.upcase
  end
end
