# frozen_string_literal: true

class SubjectPeriodCheck < CommitCheck
  MESSAGE = 'Please remove period from end of commit subject line.'

  def self.type
    :subject_period
  end

  def initialize(message, _options = {})
    @subject = message[:subject]
  end

  def message
    MESSAGE
  end

  def fail?
    @subject.split('').last == '.'
  end
end
