# frozen_string_literal: true

class SubjectWordsCheck < CommitCheck
  MESSAGE = 'Please use more than one word.'

  def self.type
    :subject_words
  end

  def initialize(message, _options = {})
    @subject = message[:subject]
  end

  def message
    MESSAGE
  end

  def fail?
    @subject.split.count < 2
  end
end
